<template>
  <div id="app">
    <router-view />
  </div>
</template>

<script>
import autofit from "autofit.js";

export default {
  name: "App",

  mounted() {
    autofit.init({
      dh: 919,
      dw: 1920,
      el: "#app",
      resize: true,
      // ignore:[
      //   {
      //     el:".ignoreElement",
      //   }
      // ],
    });
  },
  metaInfo() {
    return {
      title:
        this.$store.state.settings.dynamicTitle &&
        this.$store.state.settings.title,
      titleTemplate: (title) => {
        return title
          ? `${title} - ${process.env.VUE_APP_TITLE}`
          : process.env.VUE_APP_TITLE;
      },
    };
  },
};
</script>
<style scoped>
#app .theme-picker {
  display: none;
}
</style>
